<?php

namespace App\Mail\Examen;

use Illuminate\Bus\Queueable;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Mail\Mailable;
use Illuminate\Queue\SerializesModels;

class SocioEconomico extends Mailable
{
    use Queueable, SerializesModels;
    public $aspirante;
    
    /**
     * Create a new message instance.
     *
     * @return void
     */
    public function __construct($aspirante)
    {
        $this->aspirante = $aspirante;
    }

    /**
     * Build the message.
     *
     * @return $this
     */
    public function build()
    {
        $mail = $this->subject('Examen de Admisión - TecNM Campus Zitácuaro')
                    ->view('mail.examen.recordatorio');

        /*foreach ($this->imagenes as $img) {
            $mail->attach($img);
        }*/

        return $mail;
                    
    }
}
